Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/get_supported_index_names
import requests

url = "https://test.deribit.com/api/v2/public/get_supported_index_names"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://test.deribit.com/api/v2/public/get_supported_index_names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 25718,
  "result": [
    "btc_eth",
    "btc_usdc",
    "eth_usdc"
  ]
}

Query Parameters

type
enum<string>

Type of a cryptocurrency price index

Available options:
all,
spot,
derivative

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request